-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = minetest.get_us_time()
minetest.log("action", "[MOD] yl_rulesets loading")

yl_rulesets = {}
yl_rulesets.error = {}
yl_rulesets.modname = minetest.get_current_modname()
yl_rulesets.modstorage = minetest.get_mod_storage()
yl_rulesets.modpath = minetest.get_modpath("yl_rulesets") .. DIR_DELIM
yl_rulesets.worldpath = minetest.get_worldpath() .. DIR_DELIM

dofile(yl_rulesets.modpath .. "texts.lua")
dofile(yl_rulesets.modpath .. "information.lua")
dofile(yl_rulesets.modpath .. "config.lua")
-- dofile(yl_rulesets.modpath .. "setup.lua")
-- dofile(yl_rulesets.modpath .. "privs.lua")
dofile(yl_rulesets.modpath .. "internal.lua")
dofile(yl_rulesets.modpath .. "api.lua")
-- dofile(yl_rulesets.modpath .. "initialize.lua")
-- dofile(yl_rulesets.modpath .. "globalsteps.lua")
-- dofile(yl_rulesets.modpath .. "chatcommands.lua")

local mod_end_time = (minetest.get_us_time() - mod_start_time) / 1000000
minetest.log("action", "[MOD] yl_rulesets loaded in [" .. mod_end_time .. "s]")
